"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getRandomNumberBetween_1 = require("../utils/getRandomNumberBetween");
var ArrayValueGenerator = /** @class */ (function () {
    function ArrayValueGenerator(base) {
        this.base = base;
    }
    ArrayValueGenerator.prototype.generate = function (type, container) {
        var result = [];
        var baseType = type.split('[]')[0];
        var rnd = getRandomNumberBetween_1.getRandomNumberBetween(1, 3);
        for (var index = 0; index < rnd; index++) {
            result.push(this.base.resolveAndGenerate(baseType));
        }
        return result;
    };
    return ArrayValueGenerator;
}());
exports.ArrayValueGenerator = ArrayValueGenerator;
