"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getRandomNumberBetween_1 = require("../utils/getRandomNumberBetween");
var UnionValueGenerator = /** @class */ (function () {
    function UnionValueGenerator(base) {
        this.base = base;
    }
    UnionValueGenerator.prototype.generate = function (type, container) {
        var unionParts = type.split('|');
        var selectedUnionIndex = getRandomNumberBetween_1.getRandomNumberBetween(0, unionParts.length);
        var selectedUnionType = unionParts[selectedUnionIndex].trim();
        return this.base.resolveAndGenerate(selectedUnionType);
    };
    return UnionValueGenerator;
}());
exports.UnionValueGenerator = UnionValueGenerator;
