import { ExpressionWithTypeArguments, InterfaceDeclaration, EnumDeclaration } from 'ts-morph';
import { Property } from '..';
export declare function getTypeArgumentsOfExtendedType(extendedType: ExpressionWithTypeArguments): {
    [key: string]: string;
};
export declare function getPropertiesOfInterfaceDeclaration(_interface: InterfaceDeclaration): {
    type: string;
    name: string;
    isGeneric: boolean;
}[];
export declare function getExtendedPropertiesOfInterfaceDeclaration(_interface: InterfaceDeclaration): Property[];
export declare function getMembersOfEnumDeclaration(_enum: EnumDeclaration): Property[];
