import { ValueGeneratorBase } from './valueGeneratorBase';
import { IValueGenerator } from '../interfaces/valueGenerator';
import { Container } from '../../typeChecker';
export declare enum PrimitiveType {
    Number = "number",
    Boolean = "boolean",
    String = "string",
    Null = "null",
    Undefined = "undefined"
}
declare type Primitive = null | string | undefined | number | boolean;
export declare class PrimitiveValueGenerator implements IValueGenerator {
    base: ValueGeneratorBase;
    constructor(base: ValueGeneratorBase);
    generate(type: string, container: Container): Primitive;
}
export {};
